#ifndef dlgIconChooser_H
#define dlgIconChooser_H

#include <QDialog>

namespace Ui {
class dlgIconChooser;
}

class dlgIconChooser : public QDialog
{
    Q_OBJECT

public:
    explicit dlgIconChooser(QWidget *parent,
                            QStringList imgList,
                            QString imgPath,
                            QString actualIcon);
    ~dlgIconChooser();
    QString getSelectedIcon(void);
private slots:
    void on_lstFileNames_itemSelectionChanged();

private:
    Ui::dlgIconChooser *ui;
    QString imgPath;
    QStringList imgList;
    QString selIcon;
};

#endif // dlgIconChooser_H
