#ifndef DLGTBLEDITOR_H
#define DLGTBLEDITOR_H

#include <QDialog>

QT_BEGIN_NAMESPACE
namespace Ui { class dlgTblEditor; }
QT_END_NAMESPACE

class dlgTblEditor : public QDialog
{
    Q_OBJECT

public:
    dlgTblEditor(QString defCfg, QWidget *parent = nullptr);
    QString getValue(void);
    void setValue(QString);
    ~dlgTblEditor();

private slots:
    void on_edRowCount_valueChanged(int arg1);
    void on_edColCount_valueChanged(int arg1);
    void on_cbUseColNum_clicked();
    void on_cbUseRowNum_clicked();
private:
    Ui::dlgTblEditor *ui;
};
#endif // DLGTBLEDITOR_H
