#ifndef WDGTBLBACKCOLORCHOOSER_H
#define WDGTBLBACKCOLORCHOOSER_H

#include <QWidget>
#include <QLineEdit>
#include "abstractuicctrl.h"

namespace Ui {
class wdgTblBackColorChooser;
}

class wdgTblBackColorChooser : public QWidget, public updPropWdg
{
    Q_OBJECT

public:
    explicit wdgTblBackColorChooser(abstractPropEditor * prop);
    ~wdgTblBackColorChooser();
    void setColors(QString v);
    QString getColors();
    QLineEdit *getFirstLEColor();
    QLineEdit *getSecondLEColor();
    virtual void updPropValue();
private slots:
    void on_btnFirstColor_clicked();

    void on_btnSecondColor_clicked();

private:
    Ui::wdgTblBackColorChooser *ui;
};

#endif // WDGTBLBACKCOLORCHOOSER_H
