#ifndef WDGPROJECT_H
#define WDGPROJECT_H

#include <QWidget>
#include "prjtreewidget.h"

class guiProject;

namespace Ui {
class wdgProject;
}

class wdgProject : public QWidget
{
    Q_OBJECT
protected:
    void resizeEvent(QResizeEvent *event);
public:
    explicit wdgProject(guiProject * prj, QWidget *parent = nullptr);
    void updateTreeNames(bool openFirst = false);
    ~wdgProject();
    Ui::wdgProject *ui;
private:
    guiProject * guiPrj;
private slots:

    void on_prjItems_itemActivated(QTreeWidgetItem *item, int column);
    void on_docTabs_tabCloseRequested(int index);
};

#endif // WDGPROJECT_H
